---
# - name: Install ID-CD rpm signing key
#   ansible.builtin.rpm_key:
#     key: https://idinstallprd.ethz.ch/repos/rpmbuilder/id-bd-cd-key.asc

- name: Disable ETHZ root CA repo (non RedHat)
  ansible.builtin.yum_repository:
    name: ETHZ_root_CA
    enabled: false
  when: ansible_distribution != "RedHat"

- name: Disable ETHZ root CA repo (RedHat)
  community.general.rhsm_repository:
    name: COMMON_Root-CAs_Root-CAs
    state: disabled
  when: ansible_distribution == "RedHat"
